Subject: Re: [PATCH v3 2/2] usage: add warn_once() helper for repeated warnings

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Jun 2022 10:53:26 -0700

Derrick Stolee <[email-masked]> writes:

> Yes, you're right. I should use the output 'struct url_inf' from
> url_normalize() to construct the redacted URL. It has the downside
> that the output URL can be slightly different from the input URL,
> but a user should still be able to diagnose how to resolve the
> situation.

Ah, the error message is based on pre-normalization which may very
well be different, as that is the whole point of normalization ;-)

We'd redact password part in the error message anyway, so it may not
be a huge deal.